{{!-- {{log "hud-mini.hbs this" this}} --}}

<div class="main-mini-combat-hud">

    <div class="mini-combat-hud-subheader">

        {{!-- class, level, special defense, special actions --}}
        <div class="mini-hud-sdsa-features">
            <div class="specials-group">

                {{#if (eq actor.type 'npc')}}
                    {{#if (or actor.system.specialAttacks actor.system.specialDefenses actor.system.magicresist)}}
                        {{#if actor.system.specialAttacks}}
                            <div class="mini-hud-sa">
                                SA: {{actor.system.specialAttacks}}
                            </div>
                        {{/if}}
                        {{#if (or actor.system.specialDefenses actor.system.magicresist)}}
                            <div class="mini-hud-sd">
                                {{#if actor.system.specialDefenses}}SD: {{actor.system.specialDefenses}} {{/if}}
                                {{#if actor.system.magicresist}}MR: {{actor.system.magicresist}}{{/if}}
                            </div>
                        {{/if}}
                    {{/if}}
                {{else}}
                    <div class="mini-hud-sd">
                        {{ localize "ARS.classname" }} {{actor.system.classname}}
                    </div>
                {{/if}}

                {{!-- remaining attacks display --}}
                {{#if actor.flags.ars.attacksPerRoundTracking.remainingAttacks}}
                    <div class="mini-hud-attack-track">
                        #Attk: {{actor.flags.ars.attacksPerRoundTracking.remainingAttacks}}
                    </div>
                {{/if}}

            </div>
        </div>

        {{!-- effects list --}}
        {{#if hasTempEffects}}
            <div class="items-list effects-list">
                <div class="mini-hud-effect">
                    {{#each effects as |effect|}}
                        {{#if effect.isVisible}}
                            <div class="effect" data-effect-id="{{effect.id}}">
                                <div class="effect-content" title="{{localize effect.name}}">
                                    <img class="effect-image" src="{{effect.img}}" /> {{localize effect.name}}
                                </div>
                            </div>
                        {{/if}}
                    {{/each}}
                </div>
            </div>
        {{/if}}

    </div>

    {{!-- buttons --}}
    <div class="action-buttons-menu hud-mini-popup">
        {{!-- actions-block-list-mini --}}

        {{!-- action/weapon/skill/spells --}}
        <div class="hud-actions">
            <div class="mini-hud-grouping-border">

                <div class="hud-actions-under-grouping-border">
                    <div class="mini-actions-buttons">

                        {{!-- combat init buttons --}}
                        {{#if (or actor.needsInitiative actor.initiativeActive)}}

                            {{!-- bar separator --}}
                            <div class="vertical-bar" title="{{localize "ARS.initiative"}}"><i
                                    class="fa-solid fa-dice-d10"></i></div>

                            {{!-- roll initiative --}}
                            {{#if actor.needsInitiative}}
                                <li class="initiative-control roll mini-action flexrow" data-control="rollInitiative">
                                    <div class="mini-action-button action-name rollable mini-action-init"
                                        data-type="action-name">
                                        <i class="fas fa-dice-d20">
                                        </i>
                                        <div class="item-name">{{localize 'ARS.rollinit'}}</div>
                                    </div>
                                </li>
                            {{/if}}

                            {{#if actor.initiativeActive}}

                                {{!-- delay turn --}}
                                <li class="initiative-control roll mini-action" data-control="delayTurn">
                                    <div class="mini-action-button action-name rollable mini-action-delayturn"
                                        data-type="action-name">
                                        <i class="fas fa-hourglass-end">
                                        </i>
                                        <div class="item-name">{{localize 'ARS.delay'}}</div>
                                    </div>
                                </li>

                                {{!-- end turn --}}
                                <li class="initiative-control roll mini-action flexrow" data-control="nextTurn">
                                    <div class="mini-action-button action-name rollable mini-action-endturn"
                                        data-type="action-name">
                                        <i class="fas fa-play">
                                        </i>
                                        <div class="item-name">{{localize 'ARS.endturn'}}</div>
                                    </div>
                                </li>

                            {{/if}}

                        {{/if}}
                        {{!-- {{#if actions.length}}

                            {{#each system.actionList as |actionGroup actionGroupName|}}
                                <li class="actionCard-roll {{#if actionGroup.data.hasResource}}{{#if actionGroup.data.hasUses}}hasCharges {{else}}noCharges {{/if}}{{/if}} mini-action action-header with-background-image flexrow"
                                    data-action-group="{{actionGroupName}}" data-sourceitem-id="{{../item.id}}"
                                    data-tooltip="{{actionGroupName}}"
                                    style="background-image: url('{{actionGroup.img}}')">
                                    <div class="mini-action-button action-name rollable" data-type="action-name">
                                        <div class="item-name">{{actionGroupName}}</div>
                                    </div>
                                </li>
                            {{/each}}
                        {{/if}} --}}
                        {{#if actor.actionGroups.size}}
                            <div class="vertical-bar{{#if (getViewState @root.actor.id "hudActions")}} collapsed{{/if}}"
                                data-type="hudActions" title="{{localize "ARS.actions.actionsTitle"}}"><i
                                    class="fas fa-bolt"></i></i></div>
                            {{#each (mapToArray actor.actionGroups) as |actionGroup|}}
                                <li class="actionCard-rollV2 {{#if actionGroup.hasResource}}{{#if actionGroup.hasUses}}hasCharges {{else}}noCharges {{/if}}{{/if}} mini-action action-header with-background-image flexrow{{#if (getViewState @root.actor.id "hudActions")}} collapsed{{/if}}"
                                    data-action-group="{{actionGroup.name}}"
                                    data-sourceitem-uuid="{{actionGroup.source.uuid}}"
                                    data-tooltip="{{actionGroup.name}}" data-action-group-id="{{actionGroup.id}}"
                                    style="background-image: url('{{actionGroup.img}}')">
                                    <div class="mini-action-button action-name rollable" data-type="action-name">
                                        <div class="item-name">{{actionGroup.name}}</div>
                                    </div>
                                </li>
                            {{/each}}
                        {{/if}}
                        {{!-- buttons for actions on items --}}
                        {{!-- {{> "systems/ars/templates/actor/parts/actions-block-inventory-mini.hbs"}} --}}

                        {{!-- {{#if actor.system.itemActionCount}}
                            {{#each actor.actionInventory as |item id|}}
                                {{#if item.system.actionCount}}
                                    {{#each item.system.actionList as |actionGroup actionGroupName|}}
                                        <li class="actionCard-roll {{#if actionGroup.data.hasResource}}{{#if actionGroup.data.hasUses}}hasCharges {{else}}noCharges {{/if}}{{/if}}mini-action action-header with-background-image flexrow"
                                            data-action-group="{{actionGroupName}}" data-sourceitem-id="{{item.id}}"
                                            data-tooltip="{{item.name}}: {{actionGroupName}}"
                                            style="background-image: url('{{actionGroup.img}}')">
                                            <div class="mini-action-button action-name rollable"
                                                data-type="action-name">
                                                <div class="item-name">{{actionGroupName}}</div>
                                            </div>
                                        </li>
                                    {{/each}}
                                {{/if}}
                            {{/each}}
                        {{/if}} --}}

                        {{#if actor.hasActionItems}}
                            <div class="vertical-bar{{#if (getViewState @root.actor.id "hudItems")}} collapsed{{/if}}"
                                data-type="hudItems" title="{{localize "ARS.actions.actionItems"}}"><i
                                    class="fas fa-treasure-chest"></i></div>
                            {{#each actor.items as |item id|}}
                                {{#if item.actionGroups.size}}
                                    {{#each (mapToArray item.actionGroups) as |actionGroup|}}
                                        {{#if (isfalse actionGroup.isSpell)}}

                                            {{!-- #psionic --}}
                                            {{#if (isfalse actionGroup.isPsionic)}}
                                                <li class="actionCard-rollV2 {{#if actionGroup.hasResource}}{{#if actionGroup.hasUses}}hasCharges {{else}}noCharges {{/if}}{{/if}} mini-action action-header with-background-image flexrow{{#if (getViewState @root.actor.id "hudItems")}} collapsed{{/if}}"
                                                    data-sourceitem-uuid="{{actionGroup.source.uuid}}"
                                                    data-action-group-id="{{actionGroup.id}}"
                                                    data-tooltip="{{actionGroup.name}}"
                                                    data-action-group-id="actionGroup.id"
                                                    style="background-image: url('{{actionGroup.img}}')">
                                                    <div class="mini-action-button action-name rollable"
                                                        data-type="action-name">
                                                        <div class="item-name">{{actionGroup.name}}</div>
                                                    </div>
                                                </li>
                                            {{/if}}
                                        {{/if}}
                                    {{/each}}
                                {{/if}}
                            {{/each}}
                        {{/if}}

                        {{!-- weapons  --}}
                        {{#if actor.weapons.length}}
                            <div class="vertical-bar{{#if (getViewState @root.actor.id "hudWeapons")}} collapsed{{/if}}"
                                data-type="hudWeapons" title="{{localize "ARS.weapons"}}"><i class="fas fa-swords"></i>
                            </div>
                            {{#each actor.weapons as |item id|}}
                                {{#if item.notAmmo}}
                                    <li class="{{#if item.isRanged}}{{#if item.ammoCount}}hasAmmoLeft {{else}}noAmmoLeft {{/if}}{{/if}} mini-action item flexrow weapon-combat with-background-image{{#if (getViewState @root.actor.id "hudWeapons")}} collapsed{{/if}}"
                                        data-control-type="weapon" data-id="{{item.id}}" data-type="{{item.type}}"
                                        data-tooltip="{{item.name}}" style="background-image: url('{{item.img}}')">
                                        <div class="mini-action-button action-name rollable flexrow chatCard-roll"
                                            data-id="{{item.id}}">{{item.name}}
                                        </div>
                                    </li>
                                {{/if}}
                            {{/each}}
                        {{/if}}

                        {{!-- skills --}}
                        {{#if actor.skills.length}}
                            <div class="vertical-bar{{#if (getViewState @root.actor.id "hudSkills")}} collapsed{{/if}}"
                                data-type="hudSkills" title="{{localize "ARS.skills"}}"><i
                                    class="fas fa-fist-raised"></i></div>
                            {{#each actor.skills as |item id|}}
                                <li class="mini-action item with-background-image{{#if (getViewState @root.actor.id "hudSkills")}} collapsed{{/if}}"
                                    data-id="{{item.id}}" data-type="{{item.type}}" data-tooltip="{{item.name}}"
                                    style="background-image: url('{{item.img}}')">
                                    <div class="mini-action-button action-name rollable chatCard-roll">{{item.name}}
                                    </div>
                                </li>
                            {{/each}}
                        {{/if}}

                        {{!-- powers --}}
                        {{#if actor.powers.length}}
                            <div class="vertical-bar{{#if (getViewState @root.actor.id "hudPowers")}} collapsed{{/if}}"
                                data-type="hudPowers" title="{{localize "ARS.power"}}"><i
                                    class="fas fa-head-side-brain"></i></div>
                            {{#each actor.powers as |item id|}}
                                <li class="mini-action item with-background-image{{#if (getViewState @root.actor.id "hudPowers")}} collapsed{{/if}}"
                                    data-id="{{item.id}}" data-type="{{item.type}}" data-tooltip="{{item.name}}"
                                    style="background-image: url('{{item.img}}')">
                                    <div class="mini-action-button action-name rollable chatCard-roll">{{item.name}}
                                    </div>
                                </li>
                            {{/each}}
                        {{/if}}

                        {{!-- spells --}}
                        {{#if actor.hasSpellSlots}}
                            <div class="vertical-bar{{#if (getViewState @root.actor.id "hudSpells")}} collapsed{{/if}}"
                                data-type="hudSpells" title="{{localize "ARS.spells"}}"><i
                                    class="fas fa-book-reader"></i></div>
                            {{#each system.memorizations as |slotData spellType|}}
                                {{#each slotData.spellslots.value as |slotCount level| }}
                                    {{#if slotCount}}
                                        {{#each (lookup slotData.memslots level) as | memslot slotindex|}}
                                            {{#if memslot.id}}
                                                <li class="{{#if memslot.cast}}memorization-used {{/if}}mini-action item with-background-image memorization-slot flexrow{{#if (getViewState @root.actor.id "hudSpells")}} collapsed{{/if}}"
                                                    data-control-type="memorization" data-uuid="{{memslot.uuid}}"
                                                    data-id="{{memslot.id}}" data-level="{{level}}"
                                                    data-index="{{slotindex}}" data-type="{{spellType}}"
                                                    data-owned="{{memslot.owned}}" data-tooltip="{{memslot.name}}"
                                                    style="background-image: url('{{memslot.img}}')">
                                                    <div class="mini-action-button action-name rollable spellCard-roll"
                                                        data-id="{{memslot.id}}">{{memslot.name}}

                                                    </div>
                                                </li>
                                            {{/if}}
                                        {{/each}}
                                    {{/if}}
                                {{/each}}
                            {{/each}}
                        {{/if}}
                    </div>
                </div>
            </div>
        </div>

        {{!-- memorizationlist --}}
        {{!-- <div class="mini-spells-list hud-actions">
            {{#if actor.hasSpellSlots}}
                <div class="mini-hud-grouping-border">
                    <legend>{{localize "ARS.spells"}}</legend>
                    <div class="spells-list">
                        {{#each system.memorizations as |slotData spellType|}}
                            <div class="mini-actions-buttons">
                                {{#each slotData.spellslots.value as |slotCount level| }}
                                    {{#if slotCount}}
                                        {{#each (lookup slotData.memslots level) as | memslot slotindex|}}
                                            {{#if memslot.id}}
                                                <li class="{{#if memslot.cast}}memorization-used {{/if}}mini-action item with-background-image memorization-slot flexrow"
                                                    data-control-type="memorization" data-uuid="{{memslot.uuid}}"
                                                    data-id="{{memslot.id}}" data-level="{{level}}"
                                                    data-index="{{slotindex}}" data-type="{{spellType}}"
                                                    data-owned="{{memslot.owned}}" data-tooltip="{{memslot.name}}"
                                                    style="background-image: url('{{memslot.img}}')">
                                                    <div class="mini-action-button action-name rollable spellCard-roll"
                                                        data-id="{{memslot.id}}">
                                                        <div class="item-name">{{memslot.name}}</div>
                                                    </div>
                                                </li>
                                            {{/if}}
                                        {{/each}}
                                    {{/if}}
                                {{/each}}
                            </div>
                        {{/each}}
                    </div>
                </div>
            {{/if}}
        </div> --}}

    </div>
</div>